[Pkg-ruby-extras-maintainers] r433 - in packages: . libsvg-ruby/trunk/debian

Lucas Nussbaum lucas-guest at costa.debian.org
Thu Mar 30 08:47:45 UTC 2006


Author: lucas-guest
Date: 2006-03-30 08:47:44 +0000 (Thu, 30 Mar 2006)
New Revision: 433

Added:
   packages/checkwatches.bash
Modified:
   packages/libsvg-ruby/trunk/debian/watch
Log:
* Added checkwatches.bash, to check all debian/watch files.
* Fixed debian/watch for libsvg-ruby.


Added: packages/checkwatches.bash
===================================================================
--- packages/checkwatches.bash	2006-03-29 23:42:34 UTC (rev 432)
+++ packages/checkwatches.bash	2006-03-30 08:47:44 UTC (rev 433)
@@ -0,0 +1,20 @@
+#!/bin/bash
+
+set -e 
+for i in *; do
+	if [ ! -d $i ]; then
+		continue
+	fi
+	if [ ! -d $i/trunk ]; then
+		echo "** $i doesn't look like a correct package tree."
+		continue
+	fi
+	echo "** $i..."
+	cd $i/trunk
+	if [ ! -f debian/watch ]; then
+		echo "No watch file found."
+	else
+		uscan --no-download || true
+	fi
+	cd ../..
+done


Property changes on: packages/checkwatches.bash
___________________________________________________________________
Name: svn:executable
   + *

Modified: packages/libsvg-ruby/trunk/debian/watch
===================================================================
--- packages/libsvg-ruby/trunk/debian/watch	2006-03-29 23:42:34 UTC (rev 432)
+++ packages/libsvg-ruby/trunk/debian/watch	2006-03-30 08:47:44 UTC (rev 433)
@@ -1,2 +1,2 @@
 version=3
-http://sourceforge.jp/projects/ruby-svg/files/ ruby-svg-(.*)\.tar\.gz
+http://sourceforge.jp/projects/ruby-svg/files/ .*ruby-svg-(.*)\.tar\.gz




More information about the pkg-ruby-extras-maintainers mailing list